### Method

# Gio OutputStream writev_finish

since: 2.60

#### Declaration

    gboolean
    g_output_stream_writev_finish (
      GOutputStream* stream,
      GAsyncResult* result,
      gsize* bytes_written,
      GError** error
    )

#### Description

Finishes a stream writev operation.

Available since: 2.60

#### Parameters

`result`

  Type: `GAsyncResult`

  A `GAsyncResult`.

  The data is owned by the caller of the method.

`bytes_written`

  Type: `gsize*`

  Location to store the number of bytes that were written to the stream.

  The argument will be set by the function.
  The argument can be `NULL`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success, `FALSE` if there was an error.